smoothing {NMF} | R Documentation

## Smoothing Matrix in Nonsmooth NMF Models

### Description

The function `smoothing` builds a smoothing matrix for using in Nonsmooth NMF models.

### Usage

      smoothing(x, theta = x@theta, ...)

### Arguments

`x` | a object of class `NMFns`.
`theta` | the smoothing parameter (numeric) between 0 and 1.
`...` | extra arguments to allow extension (not used)

### Details

For a r-rank NMF, the smoothing matrix of parameter θ is built as follows:

S = (1-θ)I + \frac{θ}{r} 11^T ,

where I is the identity matrix and 1 is a vector of ones (cf. `NMFns-class` for more details).

### Value

if `x` estimates a r-rank NMF, then the result is a r \times r square matrix.

### Examples

    x <- nmfModel(3, model='NMFns')
    smoothing(x)
    smoothing(x, 0.1)

[Package NMF version 0.20.6 Index]